Description

Supportanfrage:

Guten Morgen,

ich habe hier wieder eine ADTF-3 bezogene Anfrage.

"

I've started a few days ago to create a stand-alone C++ application, which to communicate with ADTF3 tool (using the Remote

package - cADTFRemoteSystem), for starting remotely an Adtf session and to retrieve the data which is processed inside the

session by some filters (e.g. a number generator). It was possible to realize the connection to ADTF3 and to launch a session, but

not sure how to retrieve the data processed/provided inside that session. I've searched into documentation and into the examples

provided with the Adtf3 tool, but I couldn't found something to help me further.

Could you provide me a small hint, about how it would be possible to retrieve this data?

"

Viele Grüße,

Anja

EB Assist ADTF Support-Team

Lösung:

Unfortunately there is no built-in mechanism that allows you to retrieve streaming data from within an ADTF system in you custom

external application. Such an IPC is currently only supported in between ADTF systems via the various IPC Sinks and Sources. Thus

you need to write a custom Sample Sink that forwards the data to your application in a way such that your application can receive it.

We will provide an example that shows to communication between ADTF and an Non-ADTF-Application

History

#1 - 2017-03-29 14:17 - hidden

- Project changed from Public Support to 7

- Topic set to ADTF::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.0.0 added

@Martin, kannst du dir das mal anschauen und dem Anwender eventuell weiterhelfen?

#2 - 2017-03-29 14:33 - hidden
- Status changed from New to To Be Closed

- Resolution set to Solved Issue

- Platform Other Linux 64bit, Ubuntu 14.04 64bit, Ubuntu 16.04 64bit, Windows 7 32bit, Windows 7 64bit added

Hi,

unfortunately there is no built-in mechanism that allows you to retrieve streaming data from within an ADTF system in you custom external

application. Such an IPC is currently only supported in between ADTF systems via the various IPC Sinks and Sources. Thus you need to write a

custom Sample Sink that forwards the data to your application in a way such that your application can receive it.

Regards,

Martin

#3 - 2017-03-29 15:30 - hidden

- Status changed from To Be Closed to Customer Feedback Required

- Resolution changed from Solved Issue to Product Issue Opened

- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/39315

- Support Level changed from 2nd Level to 3rd Level

We opened a product ticket for this support issue: http://km-aev.in.audi.vwg/redmine/issues/39315

@Anja, können wir dieses Support Ticket schließen und public machen?

#4 - 2017-03-30 10:00 - hidden

Guten Morgen,

Ja.

Grüße,

Anja

#5 - 2017-03-30 13:06 - hidden

- Project changed from 7 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

@Florian, Ticket kann geschlossen werden.

#6 - 2017-03-30 13:13 - hidden

- Subject changed from ADTFS-46462 help required for remote data access; wth ADTF3 to ADTFS-46462 Help required for remote data access with

ADTF3

#7 - 2017-03-31 09:15 - hidden

Hallo zurück,

Eigentlich hatte ich schon die Bestätigung zum Schließen, aber nun kam zu dem Thema noch eine Frage auf.

Is it possible to provide us the current format of how the data is transmitted from the sink to a source from another ADTF3 instance and if this

format would be made public also for the customers. For our demo application, to simplify the implementation, we might use the same format

and not redesign a new one.

 Könnt ihr die Frage beantworten?

Danke und Grüße,

Anja

From: support@digitalwerk.net [mailto:support@digitalwerk.net]

Sent: Thursday, March 30, 2017 1:06 PM

Subject: [Support - Issue #499] (To Be Closed) ADTFS-46462 help required for remote data access; wth ADTF3
#8 - 2017-03-31 10:33 - hidden

Hi again,

unfortunately no. It is a rather complex protocol, that supports all the use cases within ADTF. You would need to support all kinds of different

serializations etc., which is not feasible for customer applications and we cannot offer support for that and want to be able to change it in the future to

our liking. So you would not be happy with it.

If you can describe your use case in a little more detailed fashion (i.e what kind of data you want to transmit), I might be able to give you some hints

on how to proceed.

Regards,

Martin

#9 - 2017-03-31 10:35 - hidden

- Status changed from To Be Closed to Customer Feedback Required

#10 - 2017-04-03 09:30 - hidden

Hallo Martin,

hier die Infos:

We want to create something similar to EB Assist Visor application, to be able to view some information from ADTF3 on the iPad, just for

demonstrative purpose and not to complicate the things too much, if it is possible. But since the data could be in different formats (e.g. video,

structured), we would prefer also to have a general solution.

In this moment I’ve just created a bridge-server application, which communicates remotely with Adtf3. A web page represents the interface with

the user and it sends some commands to the bridge-server application, using Ajax technology, which send them further to Adtf3. The remote

control works fine, but it would be nice to have some data represented on the web page, like charts with the signals evolution.

Since it is not possible to get the actual serialization format, I will try then to create a custom sink which communicates through TCP-IP with the

bridge-server application and provide the necessary information.

 Grüße,

Anja

#11 - 2017-04-07 14:18 - hidden

- Status changed from Customer Feedback Required to In Progress

#12 - 2017-04-18 16:14 - hidden

@Martin, kannst sobald du am Montag den 24.04.2017 wieder verfügbar bist, die Frage des Anwenders beantworten?

#13 - 2017-04-26 08:34 - hidden

@Stephan, Ich kann keine offene Frage mehr entdecken, Ticket kann meiner Meinung nach zugemacht werden.

#14 - 2017-04-26 10:30 - hidden

Hallo Stephan,

es gibt da schon noch ein paar offene Fragen.

Soweit ich weiß hat Simon Tiedemann auf dem Kundenforum mit eurem Produktmanager gesprochen und es sollte eine Lösung für das Problem

gefunden werden. Ich habe gerade nochmal mit dem Simon Tiedemann gesprochen.

ADTF-3 bietet ja Schnittstellen ähnlich dem Message Bus in ADTF-2 an um Daten- und Controlinformationen zu übermitteln. Die Controlschnittstelle

ist ausreichend dokumentiert, aber die Schnittstelle für die Daten nicht.

Es bieten sich nun 2 Möglichkeiten an:

1.      Die Struktur offen zu legen, wie die Daten übertragen werden können

2.      Eine Lib zur Verfügung zu stellen um das Interface nutzen zu können

Wir brauchen nun folgende Angaben von Digitalwerk:

1.      Welche Lösung wird angestrebt?

2.      Habt Ihr dazu eine Ticket ID?

3.      Wann wird die Lösung realisiert?
Viele Grüße,

Anja

#15 - 2017-04-26 11:47 - hidden

@Martin, im Kommentar #499#note-14 stehen die noch offenen Fragen.

#16 - 2017-05-05 11:32 - hidden

Hi Anja,

die Library die das behandelt heißt ADTF 3 :-). Wenn man die komplette allgemeine Funktionalität zur Datenübertragung haben will kommt man nicht

darum herum ein ADTF System zu verwenden, da hier ja unter anderem viele verschiedene Serialisierungen/Deserialisierungen und StreamTypes

verwendet werden müssen, die wiederum in ADTF Plugins zur Verfügung gestellt werden (die wir vielleicht auch gar nicht haben).

Die Usescases aus ADTF 2 (Senden/Empfangen einer fixen Struktur zu/von nicht-ADTF Systemen) können mit Streaming Services wie dem Demo

Legacy UDP Sender und dem Demo Legacy UDP Receiver dargestellt werden. Ich habe hier das Ticket #40074 erstellt in dem ein entsprechendes

Beispiel (nicht legacy) implementiert werden soll.

@Flo, kannst Du nochmal eruieren ob das auch dem entspricht, was unser Produktverantwortlicher versprochen hat (ist zumindest das was ich

immer besprochen hatte).

Grüße,

Martin

#17 - 2017-05-05 13:32 - hidden

- Status changed from In Progress to Customer Feedback Required

- Product Issue Numbers changed from http://km-aev.in.audi.vwg/redmine/issues/39315 to http://km-aev.in.audi.vwg/redmine/issues/39315;

http://km-aev.in.audi.vwg/redmine/issues/40074

Muss via Produktticket im CCB geklärt werden.

@EB: Damit ist das Supportticket abgeschlossen oder ?

#18 - 2017-05-09 10:45 - hidden

- File image001.png added

Hallo Martin,

ich habe das gerade auch nochmal mit meinem Projektleiter besprochen.

Das die Usecases aus ADTF 2 mit Streaming Services dargestellt werden können ist grundsätzlich ok, aber folgende Usecases müssen aber u.a.

funktionieren:

Anbindung Matlab Simulink (vgl. ML/SL Blockset)

Anbindung dSpace µAutobox  (https://www.dspace.com/de/gmb/home/products/sw/impsw/adtf_blockset.cfm)

Viele Grüße,

Anja

#19 - 2017-05-09 12:41 - hidden

- File deleted (image001.png)

#20 - 2017-05-10 09:01 - hidden

Hallo Anja,

grundsätzlich ist es keine Anforderung an ADTF, mit anderen Tools zu kommunizieren, auch eine Matlab Toolbox ist nicht seitens KuFo beauftragt.

Allerdings ist es auch in ADTF 3 möglich, das ohne Änderung an ADTF selbst in den Fremdtools zu implementieren, da der Kommunikationsweg

bereits existiert (IPC).

Speziell für den Use Case Matlab/Simulink können wir euch aber innerhalb eines Monats eine erste BETA Version liefern.

Was eine Umsetzung von dSpace bzgl. Autobox betrifft, so können die das jetzt schon machen.

Zudem werden wir wie bereits angesprochen dafür wieder ein Example erstellen (http://km-aev.in.audi.vwg/redmine/issues/40074).

#21 - 2017-05-12 17:38 - hidden

2024-04-27 4/5

https://support.digitalwerk.net/issues/499#note-14
https://www.dspace.com/de/gmb/home/products/sw/impsw/adtf_blockset.cfm
http://km-aev.in.audi.vwg/redmine/issues/40074


Bitte um Rückmeldung, ansonsten wird das Ticket am Montag 15.05. geschlossen.

Aus Supportsicht alles erledigt, Bsp. wird im Produkt umgesetzt, Matlab/Simulink BETA kann bei DW angefragt werden.

#22 - 2017-05-15 09:00 - hidden

Hallo Florian,

vielen Dank für Deine Antwort. Leider wurde ich von unserm System nicht über deine Antwort benachrichtigt, deshalb erst jetzt meine Rückmeldung.

Ich habe deine Email an Simon weitergeleitet und gebe dir nachher noch Bescheid, ob ihm das so reicht.

Danke und Grüße,

Anja

Best regards,

Anja Winkler

EB Assist ADTF Support-Team

#23 - 2017-05-16 08:49 - hidden

Hallo Anja,

und was sagt Simon ?

#24 - 2017-05-16 09:15 - hidden

Er wollte eigentlich anrufen. Ich hake wenn er da ist nochmal nach.

Grüße,

Anja

#25 - 2017-05-16 11:18 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Telefonisch noch einmal mit Simon abgestimmt, Ticket kann geschlossen werden.

Example sollte wenn möglich eine allgemeine Kommunikation abbilden, binary dazu werden ohnehin geliefert.

#26 - 2017-05-16 11:18 - hidden

- Status changed from To Be Closed to Closed
